# kio Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Source Files

# KDirSelectDialog Class Reference

A pretty dialog for a KDirSelect control for selecting directories. More...

`#include <kdirselectdialog.h>`

Inheritance diagram for KDirSelectDialog:

[legend]
Collaboration diagram for KDirSelectDialog:

[legend]
List of all members.

## Public Slots

void | setCurrentURL (const KURL &url)

## Public Member Functions

| KDirSelectDialog (const QString &startDir=QString::null, bool localOnly=false, QWidget *parent=0L, const char *name=0, bool modal=false)
| The constructor.
KURL | url () const
| Returns the currently-selected URL, or a blank URL if none is selected.
KFileTreeView * | view () const
bool | localOnly () const
QString | startDir () const

## Static Public Member Functions

KURL | selectDirectory (const QString &startDir=QString::null, bool localOnly=false, QWidget *parent=0L, const QString &caption=QString::null)
| Creates a KDirSelectDialog, and returns the result.

## Protected Member Functions

virtual void | accept ()
virtual void | virtual_hook (int id, void *data)

## Protected Attributes

QVBoxLayout * | m_mainLayout
QString | m_startDir

## Detailed Description

A pretty dialog for a KDirSelect control for selecting directories.

Author:
  Michael Jarrett <michaelj@corel.com>

See also:
  KFileDialog

Definition at line 37 of file kdirselectdialog.h.

## Constructor & Destructor Documentation

KDirSelectDialog::KDirSelectDialog | ( | const QString & | startDir = QString::null,
|  | bool | localOnly = false,
|  | QWidget * | parent = 0L,
|  | const char * | name = 0,
|  | bool | modal = false
| ) |

The constructor.

Creates a dialog to select a directory (url).

Definition at line 63 of file kdirselectdialog.cpp.

References KListView::addColumn(), KGlobal::config(), KGlobalSettings::documentPath(), KURL::fromPathOrURL(), KFileDialog::getStartURL(), KDialogBase::makeMainWidget(), KStdAccel::name(), QListView::setColumnWidthMode(), KURLCompletion::setMode(), KURL::setPath(), QListView::setResizeMode(), and KDialog::spacingHint().

## Member Function Documentation

KURL KDirSelectDialog::url | ( |  | ) | const

Returns the currently-selected URL, or a blank URL if none is selected.

Returns:
  The currently-selected URL, if one was selected.

Definition at line 275 of file kdirselectdialog.cpp.

References KFileTreeView::currentURL().

Referenced by selectDirectory().

KURL KDirSelectDialog::selectDirectory | ( | const QString & | startDir = QString::null,
|  | bool | localOnly = false,
|  | QWidget * | parent = 0L,
|  | const QString & | caption = QString::null
| ) | `[static]`

Creates a KDirSelectDialog, and returns the result.

Parameters:

  startDir | the directory, initially shown The tree will display this directory and subdirectories of it.
  localOnly | unused. You can only select paths below the startDir

Returns:
  The URL selected, or an empty URL if the user cancelled or no URL was selected.

Definition at line 354 of file kdirselectdialog.cpp.

References QDialog::exec(), QString::isNull(), KDialog::setCaption(), and url().

QString KDirSelectDialog::startDir | ( |  | ) | const`[inline]`

Returns:
  The path for the root node

Definition at line 84 of file kdirselectdialog.h.

The documentation for this class was generated from the following files:

- kdirselectdialog.h
- kdirselectdialog.cpp

This file is part of the documentation for kdelibs Version 3.1.5.
Documentation copyright © 1996-2002 the KDE developers.
Generated on Wed Jan 28 13:16:12 2004 by doxygen 1.3.4 written by Dimitri van Heesch, © 1997-2001